
Infrastructure - Task #3285

Story # 3297 (Closed): make libclient useable for developers

develop libclient developers usage document

2012-10-01 20:42 - Rob Nahf

Status: Closed Start date: 2012-09-23

Priority: Normal Due date: 2012-10-06

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.33-Block.4.4   

Milestone: None Story Points:  

Product Version: *   

Description

from rwaltz:  http://epad.dataone.org/DataONE-Java-Client-Library-HowTo

goal is to provide developers an overview on how to incorporate d1_libclient_java into their own project, and introduce the various

aspects of the package's scope (http connection management, ssl and cilogon, object caching, overriding timeouts, the Settings

class and interaction with properties files, logging) 

History

#1 - 2012-10-01 20:50 - Rob Nahf

- % Done changed from 0 to 40

- Subject changed from create libclient developers usage document to develop libclient developers usage document

- Category set to d1_libclient_java

- Assignee set to Rob Nahf

#2 - 2012-10-04 22:18 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-10-06

- Status changed from New to In Progress

- Start date set to 2012-09-23

need to put in operations documentation

#3 - 2012-10-05 15:40 - Rob Nahf

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#4 - 2012-10-05 15:40 - Rob Nahf

- Parent task set to #3297

#5 - 2012-10-12 14:58 - Rob Nahf

- Status changed from In Progress to In Review

- Estimated time set to 0.00

#6 - 2012-10-16 21:46 - Rob Nahf

- Priority changed from Normal to High

#7 - 2012-10-24 23:10 - Rob Nahf

- % Done changed from 40 to 90
added introduction & usage section to the document based on rwaltz review.

http://mule1.dataone.org/OperationDocs/DataONE-Java-Client-Library-HowTo.html

#8 - 2012-10-24 23:36 - Rob Nahf

- Status changed from In Review to Closed

- % Done changed from 90 to 100

fixed formatting and turstmanager usage section.

#9 - 2012-10-25 20:31 - Rob Nahf

- Target version deleted (Sprint-2012.41-Block.6.1)

#10 - 2012-10-25 20:31 - Rob Nahf

- Priority changed from High to Normal

#11 - 2013-05-31 16:46 - Rob Nahf

- Target version set to 2013.22-Block.3.3

#12 - 2013-06-05 22:20 - Rob Nahf

- Target version changed from 2013.22-Block.3.3 to 2013.24-Block.3.4

#13 - 2013-08-07 19:26 - Rob Nahf

- Target version changed from 2013.24-Block.3.4 to 2013.30-Block.4.3

#14 - 2013-08-14 14:31 - Dave Vieglais

- Target version changed from 2013.30-Block.4.3 to 2013.33-Block.4.4
